Transactions & ReportingTransactions

Create a test transaction

POST
/v1/transactions

Authorization

authorization
AuthorizationBearer <token>

Set Your Secret API Key

In: header

Header Parameters

Idempotency-Key?string

A unique value, eg. a UUID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

additionalInformation?string

Additional information, if available.

amount*number

A positive integer value in the specified currency's smallest unit. e.g. for SGD, $10 would be represented as 1000 (cents).

bankAccount?

The bank account of the transaction.

bankReference?string

Reference ID set by the bank.

counterparty?

The other party of this transaction.

currency*string

Currency of this transaction. Three-letter ISO 4217 currency code in full uppercase.

currencyExchange?

Currency exchange information for transactions that involve different source and target currencies.

customerReference?string

Customer reference set by the sender. Often used to allow the receiving party to recognize and reconcile the transaction.

dataSource*string

Data source where the information for this transaction came from: ICN, IDN, CAMT054, CAMT052, CAMT.053, or ICRDRN.

description?string

The transaction detail text that often appears on your bank statement and in your banking portal. Deprecated: use customerReference instead.

direction*string

Credit transaction or debit transaction.

Value in

  • "DEBIT"
  • "CREDIT"
remittanceInformation?string

Remittance information, if available.

sendWebhook?boolean

Specify false to prevent a transactions.created webhook from being sent.

transactionDate?string

Value date of this transaction, in the format YYYY-MM-DD.

Formatdate
transactionStatus?string

Status of the transaction in the bank's books. This field is only set if this information is available from the bank's transaction notification or statement.

This field corresponds to the Ntry.Sts field of relevant ISO 20022 messages and reports (e.g., camt.053):

  • BOOKED: corresponds to BOOK
  • PENDING: corresponds to PDNG
  • INFORMATION: corresponds to INFO

Value in

  • "BOOKED"
  • "PENDING"
  • "INFORMATION"
transactionType*string

Payment method used for this transaction. Also known as transaction type or payment rail.

Value in

  • "FAST"
  • "PAYNOW"
  • "ACT"
  • "TT"
  • "MEPS"
  • "GIRO"
  • "OTHERS"
  • "DUITNOW"
  • "FPS"
  • "ACH"
  • "CHATS"
  • "BKTR"
  • "SPEI"
  • "SEPA_INSTANT"
  • "SEPA"
  • "FASTER"
  • "RTGS"
  • "RTP"
  • "IBFT"
  • "FTS"
  • "FPX"
virtualAccountNumber?string

Virtual account number, if the transaction destination is a virtual account.

Response Body

*/*

curl -X POST "https://example.com/v1/transactions" \  -H "Content-Type: application/json" \  -d '{    "amount": 0,    "currency": "string",    "dataSource": "string",    "direction": "DEBIT",    "transactionType": "FAST"  }'
{  "additionalInformation": "string",  "amount": 0,  "bankAccount": {    "bank": "string",    "bankAccountNumber": "string",    "id": "string"  },  "bankReference": "string",  "bookingDate": {    "date": "string",    "offset": "string",    "time": "string",    "tz": "string"  },  "counterparty": {    "bank": "string",    "bankAccountNumber": "string",    "bankName": "string",    "localRoutingIdentifier": "string",    "name": "string"  },  "createdAt": "string",  "currency": "string",  "currencyExchange": {    "exchangeRate": "string",    "sourceCurrency": "string",    "targetCurrency": "string"  },  "customerReference": "string",  "dataSource": "string",  "description": "string",  "direction": "string",  "id": "string",  "remittanceInformation": "string",  "statementId": "string",  "transactionDate": "string",  "transactionReferences": [    {      "dataSource": "string",      "name": "string",      "value": "string"    }  ],  "transactionStatus": "string",  "transactionType": "string",  "updatedAt": "string",  "virtualAccountNumber": "string"}